Get Surveys
GET https://services.leadconnectorhq.com/surveys/
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Query parameters
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Limit Per Page records count. will allow maximum up to 50 and default will be 10
Respuestas
200 - Successful response
id
string
default:"I5GFa3d3cKjojpe4VVUx"
locationId
string
default:"ve9EPM428h8vShlRW1KT"
{
"surveys": [
{
"id": "I5GFa3d3cKjojpe4VVUx",
"name": "Survey 1",
"locationId": "ve9EPM428h8vShlRW1KT"
}
],
"total": 20
}
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/surveys/' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/surveys/', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/surveys/',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/surveys/');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);